Security Enhanced Linux Reference Policy

# Layer: services

## Module: sendmail

Interfaces

### Description:

Internetwork email routing facility.

### Interfaces:

sendmail_admin( domain , role )

##### Summary

All of the rules required to administrate an sendmail environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

sendmail_domtrans( domain )

##### Summary

Execute a domain transition to run sendmail.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

sendmail_domtrans_unconfined( domain )

##### Summary

Execute sendmail in the unconfined sendmail domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

sendmail_dontaudit_rw_tcp_sockets( domain )

##### Summary

Do not audit attempts to read and write sendmail TCP sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

sendmail_dontaudit_rw_unix_stream_sockets( domain )

##### Summary

Do not audit attempts to read and write sendmail unix_stream_sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

sendmail_log_filetrans_sendmail_log( domain , object_class , name )

##### Summary

Create specified objects in generic log directories sendmail log file type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

sendmail_manage_log( domain )

##### Summary

Create, read, write, and delete sendmail log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sendmail_manage_tmp_files( domain )

##### Summary

Create, read, write, and delete sendmail tmp files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sendmail_read_log( domain )

##### Summary

Read sendmail log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sendmail_run( domain , role )

##### Summary

Execute the sendmail program in the sendmail domain, and allow the specified role the sendmail domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

sendmail_run_unconfined( domain , role )

##### Summary

Execute sendmail in the unconfined sendmail domain, and allow the specified role the unconfined sendmail domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

sendmail_rw_pipes( domain )

##### Summary

Read and write sendmail unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sendmail_rw_tcp_sockets( domain )

##### Summary

Read and write sendmail TCP sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sendmail_rw_unix_stream_sockets( domain )

##### Summary

Read and write sendmail unix domain stream sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sendmail_signal( domain )

##### Summary

Send generic signals to sendmail.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sendmail_stub( domain )

##### Summary

Sendmail stub interface. No access allowed.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return